Subject: bug#46718: 27.1; truncate-lines in minibuffer prevents auto resize

From: Clemens <[email-masked]>
Date: Wed, 24 Feb 2021 17:05:59 +0100

> This is (was) not supported.  When truncate-lines is non-nil in the
> minibuffer, Emacs assumed the minibuffer text is just one line.  And I
> can understand that assumption: frankly, setting truncate-lines with
> multi-line text in the minibuffer makes little sense, because it means
> some of the text will not be shown, something that contradicts the
> very purpose of resizing the mini-window.  Why would someone do
> something weird like that?
> 
> Anyway, I've made this work as expected on the master branch now.

I understand the assumption, makes sense when not considering such weird
use cases as we might have in Selectrum ;) In Selectrum candidates are
shown vertically stacked, we additionally ensure that candidates are a
single line. It works pretty well and makes a lot of things easier to
deal with in our UI. Thanks for adding this!